#include "mouse.h"

int main()
{
    int x, y, presses;
    clrscr();

    printf("Mouse installed:%d\n", InitMouse());
    
    printf("Mouse present:%d\n", MousePresent());
    
    ShowMouse();
    getch();
    
    gotoxy(10,10);
    
    x = y = presses;
    
    printf("%d\n", CountButtonPresses(0, &x, &y, &presses));
    printf("%2d:%2d:%2d\n", x, y, presses);
  
    printf("%d\n", CountButtonReleases(0, &x, &y, &presses));
    printf("%2d:%2d:%2d\n", x, y, presses);
         
    printf("%d\n", CountButtonPresses(0, &x, &y, &presses));
    printf("%2d:%2d:%2d\n", x, y, presses);
  
    printf("%d\n", CountButtonReleases(0, &x, &y, &presses));
    printf("%2d:%2d:%2d\n", x, y, presses);
    MouseGotoXY(10,10);

    WhereMouse(&x, &y);
    printf("%2d:%2d", x,y );
    
    
    MouseWindow(10,10,10,10);
    
    getch();
    
    MouseWindow(1,1,80,25);
    HideMouse();

    printf("Closing mouse:%d\n", CloseMouse());
}
